<?php
global $bf1942_lmsg_arr;

$bf1942_lmsg_arr = array (
'bt_apply'					=> 'Apply',
'bf1942__need_license'		=> 'This module requires that you install a license key.',
'bf1942__server_limit_exceeding_not_admin' => 'You currently have more Battlefield 1942 game servers than allowed by the license key. Contact your server administrator.',
'bf1942__server_limit_exceeding' => 'You currently have more Battlefield 1942 game servers than allowed by the license key. Please, install the key that supports a larger number of servers, or shut down %1 of your servers.',
'bf1942__server_limit' 		=> 'The limit on number of Battlefield 1942 game servers is reached. Please install a license key that allows hosting the number of servers you need.',
'module_bf1942_guide'		=> "Game Server User's Guide",

'bf1942'					=> 'Battlefield 1942',
'bf1942_compact' 			=> 'Battlefield 1942',
'bf1942__nav_panel_button_conhelp' => 'Manage Battlefield 1942 game servers.',
'bf1942_unknown_operator' 	=> 'Please select an operator from the list.',

// operators
'pb__bf1942__operators'		=> 'Operators',
'bf1942__operators'			=> 'Game Server Operators',
'bt_bf1942__add_operator' => 'Add Operator',

// remove operators
'bf1942__remove'			=> 'Removing Game Server Operators',
'bf1942__operators_remove__empty_select' => 'Select the operators to be removed.',
'bf1942__remove_title'		=> 'The following module operator accounts will be removed:',

// add operators
'bf1942__add_clients'		=> 'Clients',
'bf1942__operator_add__legend' => 'Add module operators',
'bf1942__operators_add__empty_select' => 'Select a client account that you wish to make a module operator.',
'bf1942__all_clients_are_operators' => 'No more clients to choose.',

// servers
'pb__bf1942__servers'		=> 'Battlefield 1942 Game Servers',
'bf1942__servers'			=> 'Battlefield 1942 Game Servers',
'bf1942__servers_of'		=> 'Battlefield 1942 Game Servers of %1',
'bt_bf1942__status_refresh'	=> 'Refresh',
'bt_bf1942__add_game_server'=> 'Add Game Server',
'bt_bf1942__hostings'		=> 'Game Hosting Accounts',

'bf1942__srv_state__reduct'	=> 'S',
'bf1942__srv_status__reduct'=> 'P',
'bf1942__hostname:port'		=> 'Hostname:port',
'bf1942__modname'			=> 'Mod name',
'bf1942__gametype'			=> 'Game type',
'bf1942__game_play_mode'	=> 'Game play mode',
'bf1942__CRC_value'			=> 'CRC value',
'bf1942__mapname'			=> 'Map name',
'bf1942__players'			=> 'Players',
'bf1942__cpu_freq'			=> 'CPU frequency',
'bf1942__average_fps'		=> 'Average FPS',

'bf1942__srv_del_err'		=> 'Error on attempt to delete server ID %1 with name %2 (%3): %4',
'bf1942_del_cfg_dir_err'	=> 'Failed to delete configuration and log files storage directories: %1',

// server type select
'bf1942__srv_type_sel'	=> 'Select server type',
'bf1942__server_type'	=> 'Game server type',
'bf1942__server_type__mng'	=> 'Manageable',
'bf1942__server_type__view'	=> 'Viewable only',

// hosting select
'bf1942__hosting_select'	=> 'Select the game hosting accounts at which to deploy a game server',
'bf1942__not_hosting_select' => 'Please, select a hosting account!',
'bf1942__hostings_list'		=> 'Game hosting accounts',
'bf1942__hosting_sel'		=> 'Game Hosting Accounts',

// start/stop
'bf1942__start_err'			=> 'Failed to start: ',
'bf1942__stop_err'			=> 'Failed to stop: ',

// remove servers
'bf1942__servers__empty_select' => 'Select the servers to be removed.',
'bf1942__servers_remove'	=> 'Confirm Removing Game Servers',
'bf1942__servers_remove_title'=> 'The following game servers will be removed:',

// mng server cfg
'bf1942__config_tab'		=> 'Configuration',
'bf1942__config_files_tab'	=> 'Configuration files',
'bf1942__create_srv'		=> 'Setting Up Game Server on %1',
'bf1942__mng_srv_cfg'		=> 'Configuring Game Server %2 on %1',
'bf1942__hosting_not_set'	=> 'Game hosting account is not accessible',
'bt_bf1942__start-srv'		=> 'Start Server',
'bt_bf1942__restart-srv'	=> 'Restart Server',
'bt_bf1942__stop-srv'		=> 'Stop Server',
'bf1942__create_cfg_dir_failed'	=> 'Failed to create the game server configuration directory in the specified account:',
'bf1942__cp_cfg_failed'		=> 'Failed to copy the game server configuration files to the specified account:',
'bf1942__game_server_not_found' => 'The game server not found or permission denied',
'bf1942__srv_not_set'		=> 'Game server ID is not defined. Contact technical support representatives.',
'bf1942__srv_port_already_using' => 'The port %1 is already in use by another game server. You should assign another port to this game server, if you wish to run several game servers at once.',
'bf1942__spy_port_already_using' => 'This GameSpy port (%1) is already in use by another game server. You should assign another port to this game server, if you wish to run several game servers at once.',
'bf1942__spy_lan_port_already_using' => 'This GameSpy port (%1) is already in use by another game server running in LAN mode. You should assign another port to this game server, if you wish to run several game servers at once.',
'bf1942__rcon_port_already_using' => 'The remote control over network (RCON) port %1 is already in use by another server. You should assign another port to this game server, if you wish to run several game servers at once.',

'bf1942__srv_cfg'			=> 'Server configuration',
'bf1942__srv_name'			=> 'Server name',
'bf1942__max_players'		=> 'Max players',
'bf1942__net_type'			=> 'Game server operation mode',
'bf1942__internet'			=> 'Internet',
'bf1942__lan'				=> 'LAN',
'bf1942__srv_bandwidth'		=> 'Server bandwidth throttling',
'bf1942__unlimited'			=> 'unlimited',
'bf1942__xx_Kbps'			=> '%1 Kbps',
'bf1942__cl_bandwidth'		=> 'Client bandwidth throttling',
'bf1942__CTModem56Kbps'		=> '56 kb/s (modem)',
'bf1942__CTCable128Kbps'	=> '128 kb/s (ISDN)',
'bf1942__CTCable256Kbps'	=> '256 kb/s (broadband)',
'bf1942__CTLanT1'			=> '10 mb/s (LAN)',
'bf1942__server_ip'			=> 'Game server IP address',
'bf1942__server_port'		=> 'Game server port',
'bf1942__server_spy_lan_port'	=> 'Port for GameSpy (via LAN)',
'bf1942__server_spy_port'	=> 'Port for GameSpy (via Internet)',

'bf1942__game_cfg'			=> 'Game configuration',
'bf1942__game_time'			=> 'A time limit for each round',
'bf1942__score_lim'			=> 'A score limit for each round',
'bf1942__round_num'			=> 'The number of times to play on the same map',
'bf1942__punk_buster'		=> 'Enable the Punk buster anti-cheat system',

'bf1942__access_cfg'		=> 'Access configuration',
'bf1942__srv_passwd'		=> 'Password is required to join the server',
'bf1942__remote_admin'		=> 'Allow players to obtain game server administrator privileges during the game',
'bf1942__remote_admin_passwd'=> "Administrator's password",
'bf1942__rcon'				=> 'Enable remote control over the network (RCON) for this game server',
'bf1942__rcon_username'		=> 'RCON username',
'bf1942__rcon_password'		=> 'RCON password',
'bf1942__rcon_port'			=> 'RCON port',

// configuration files
'bf1942__srv_cfg_files'		=> 'Configuration files of game server %2 on the account %1',
'bf1942__cfg_commands'		=> 'Possible commands',
'bf1942__cfg_file'			=> 'Configuration file %1',
'bf1942__all_found_maps'	=>	'All maps found on the server:',
'bf1942__srv_started_cfg_file_err' => 'You cannot change any configuration files while server is running.',
'bf1942__get_content_cfg_files_err' => 'Failed to retrieve the contents of configuration files from the game server.',
'bf1942__get_all_maplist_err' => 'Failed to retrieve the list of available game maps: ',
'bf1942__large_cfg_file_err' => 'Unfortunately, the configuration file %1 is too large and it cannot be saved.',
'bf1942__save_into_cfg_file_err' => 'Failed to save the configuration file %1',

'bf1942__game.serverName'		=> 'Server name shown to the Internet users (maximum 31 character).',
'bf1942__game.serverDedicated'	=> 'This setting should always be 1 for dedicated servers.',
'bf1942__game.serverMaxPlayers'	=> 'Maximum number of players that can join the server. Set this depending on your bandwidth.',
'bf1942__game.serverInternet'	=> 'Set to 0 for a LAN server or 1 for an Internet server. An Internet server registers with the GameSpy and All Seeing Eye master servers at startup so your server will be visible in the BF1942 Internet server browser.',
'bf1942__game.serverStartDelay'	=> 'This defines how long to wait before starting the game, once there is enough players to start the match. Gives slower machines a chance.',
'bf1942__game.serverBandwidthChokeLimit' => "This setting controls server bandwidth throttling. The server will limit total bandwidth usage according to the value you set here\n0 - no limit, 8 - 64 Kbps, 16 - 128 Kbps, 32 - 256 Kbps, 64 - 512 Kbps, 128 - 1024 Kbps, 256 - 2048 Kbps, 512 - 8192 Kbps", 
'bf1942__game.serverMaxAllowedConnectionType' => "This setting controls client bandwidth throttling. The server will throttle the bandwidth for information sent to clients according to the value you set here \nCTModem56Kbps - 56 kb/s (modem), CTCable128Kbps - 128 kb/s (ISDN), CTCable256Kbps - 256 kb/s (broadband), CTLanT1 - 10 mb/s (LAN)",
'bf1942__game.serverIP'			=> "This can be safely left as 0.0.0.0 if the IP on one or all of your interfaces is a fully qualified internet IP. I.e. can be reached by anyone on the net by directly connecting to the IP. If you are behind a router then set this as your router's external IP. 10.x.x.x or 192.168.x.x are internal and are NOT external IP\'s.",
'bf1942__game.serverPort'		=> 'Address of the game server port.',
'bf1942__game.gameSpyLANPort'	=> 'Port for GameSpy (LAN).',
'bf1942__game.gameSpyPort'		=> 'Port for GameSpy (Internet).',
'bf1942__game.ASEPort'			=> 'Port for ASE.',
'bf1942__game.serverGameTime'	=> 'Sets a time limit for each round in minutes. 0 - No limit.',
'bf1942__game.serverScoreLimit'	=> 'Sets a score limit for each round. 0 - No limit.',
'bf1942__game.serverNumberOfRounds' => 'Sets the number of times a map is played before proceeding to the next map in the rotation.',
'bf1942__game.serverGameRoundStartDelay' => 'Time before each round before everyone respawns.', 
'bf1942__game.serverGameStartDelay' => 'Sets the delay before each game starts at the beginning of a round.',
'bf1942__game.serverSpawnTime'	=> 'Sets the time between waves of reinforcements. Players and bots spawn into the game continuously at this interval.',
'bf1942__game.serverSpawnDelay'	=> 'Sets the delay before players will spawn back into the game after dying.',
'bf1942__game.serverTicketRatio'=> "The server multiplies the starting ticket values by this percentage.\nThis option simply sets how many lives are available to each team in relation to the default values. If a map had 150 tickets per team, then a setting of 100 would have 100% tickets, and therefore each team would have 150 tickets. If it was set to 200, then each team would have 300 tickets.", 
'bf1942__game.serverAlliedTeamRatio' => 'Sets the ratio of allied players versus axis players.',
'bf1942__game.serverAxisTeamRatio' => 'Sets the ratio of axis players versus allied players.',
'bf1942__game.serverAutoBalanceTeams' => 'Enables an option which automatically balances teams by forcing players between teams when they die to keep them even in numbers.',
'bf1942__game.serverCoopAiSkill' => "Sets the skill of bots in Coop game mode.\n25 - Easy, 50 - Normal, 75 - Hard, 100 - Impossible.",
'bf1942__game.serverCoopCpu'	=> 'Sets the percentage of CPU time used by the bot AI.',
'bf1942__game.serverPassword'	=> 'Password required to join the server (max 32 chars).',
'bf1942__game.serverReservedPassword' => 'Password for reserved places (max 32 chars). Usually found on clan servers where the server is usually full.',
'bf1942__game.serverNumReservedSlots' => 'How many places for special players is allowed. If the server is full then it will ask for a password from any new joiners.',
'bf1942__game.serverSoldierFriendlyFire' => 'Percentage of damage absorbed from projectiles fired by players on the same team.',
'bf1942__game.serverVehicleFriendlyFire' => 'Percentage of damage absorbed from projectiles fired by players on the same team when he is in a tank or other vehicle.',
'bf1942__game.serverKickBack'	=> 'Value of friendly fire projectile damage (1.0 - 100%) reflected back to the originator.',
'bf1942__game.serverKickBackOnSplash' => 'Value of friendly fire splash damage (1.0 - 100%) reflected back to the originator.',
'bf1942__game.serverSoldierFriendlyFireOnSplash' => 'Percentage of splash damage absorbed from projectiles fired by players on the same team.',
'bf1942__game.serverVehicleFriendlyFireOnSplash' => 'Percentage of splash vehicle damage absorbed from projectiles fired by players on the same team.',
'bf1942__game.serverNameTagDistance' => 'Distance at which friendly names become visible.',
'bf1942__game.serverNameTagDistanceScope' => 'Distance at which friendly and enemy names become visible when you aim at them.',
'bf1942__game.serverAllowNoseCam' => "Set to 1 to allow cockpit views without the instrument panel.\nWhen a user presses F9 twice they can get a nose cam if this is enabled. Sometimes this is disabled in servers trying to emulate a realistic war environment.",
'bf1942__game.serverFreeCamera'	=> 'Set to 1 to allow free movement of camera when player is waiting to respawn.',
'bf1942__game.serverExternalViews' => 'Set to 1 to allow external camera views in vehicles.',
'bf1942__game.serverHitIndication' => 'Puts an extra set of crosshairs on the players screen when they do damage to another player.',
'bf1942__game.serverTKPunishMode' => 'Increases the spawn time of a client after they kill a teammate. After a certain ammount of killings they get booted.',
'bf1942__game.serverCrossHairCenterPoint' => 'Show an aiming point in the center of the player crosshair.',
'bf1942__game.serverDeathCameraType' => "Sets the Death Camera type.\n0 - do not show killer, 1 - show killer.",
'bf1942__game.objectiveAttackerTicketsMod' => 'Sets how many tickets are taken while one team has a majority of objectives.',
'bf1942__game.setServerWelcomeMessage' => 'This has 2 values. The first enables a welcome message and the second is a text string with the message in it. Usually lists the servers stats and any rules like "No Swearing" that may apply to the server.',
'bf1942__game.serverContentCheck' => "Sets the server content-check mode.\n0 - All clients are allowed.\n1 - Only clients with default installations are allowed.\n2 - Only clients with installations matching any of the server-defined CRCs are allowed.\nThe contentcrc32.con files are parsed by the server to load a set of CRCs that will be considered as valid. As clients connect they will be checked against these values. The CRC files reside in the directory of each mod.",
'bf1942__game.serverEventLogging' => 'Enables server game-event logging which causes a detailed XML log of all game events to be written in the server\'s log folder.',
'bf1942__game.serverEventLogCompression' => 'Enables compression of game event logs using Zlib compression.',
'bf1942__game.serverPunkBuster'	=> 'Enables Punk buster anti-cheat system.',
'bf1942__game.serverUnpureMods'	=> 'Checks for corrupted mods which will indicate hackers.',

'bf1942__admin.getRemoteConsoleEnabled'	=> 'Displays whether remote console is enabled.',
'bf1942__admin.enableRemoteConsole'		=> 'Enables remote access to a BF1942 Server.',
'bf1942__admin.disableRemoteConsole'	=> 'Disables remote access to a BF1942 Server.',
'bf1942__admin.enableRemoteAdmin'		=> 'Allows an administrator to log into a server. The password may contain either only letters or only numbers, but no spaces.',
'bf1942__admin.disableRemoteAdmin'		=> 'Disables remote administration.',
'bf1942__admin.maxAllowedConnectionType'=> 'This setting controls client bandwidth throttling. The server will throttle the bandwidth for information sent to clients according to the value you set here \nCTModem56Kbps - 56 kb/s (modem), CTCable128Kbps - 128 kb/s (ISDN), CTCable256Kbps - 256 kb/s (broadband), CTLanT1 - 10 mb/s (LAN)',
'bf1942__admin.bandWidthChokeLimit'		=> 'This setting controls server bandwidth throttling. The server will limit total bandwidth usage according to the value you set here\n0 - no limit, 8 - 64 Kbps, 16 - 128 Kbps, 32 - 256 Kbps, 64 - 512 Kbps, 128 - 1024 Kbps, 256 - 2048 Kbps, 512 - 8192 Kbps.',
'bf1942__admin.votingTime'				=> 'Sets the number of seconds a player has to cast a vote.',
'bf1942__admin.enableKickPlayerVote'	=> 'This command will initiate/cast a vote to kick a player out of game.',
'bf1942__admin.enableKickTeamPlayerVote'=> 'Enables a vote for kicking out a player of the same team',
'bf1942__admin.voteKickPlayerMajority'	=> 'The required percentage of votes a candidate needs to win. Default is 0.6 (60%).',
'bf1942__admin.voteKickTeamPlayerMajority' => 'The required percentage of votes a candidate needs to win. Default is 0.6 (60%).',
'bf1942__admin.setNextLevel'			=> 'Changes or adds the next map.',
'bf1942__admin.enableMapVote'			=> 'Toggle if you want to allow people to vote for another map.',
'bf1942__admin.voteMapMajority'			=> 'Number is percentage of voters required to pass. Ex. 0.6 - 60%.',
'bf1942__admin.timeLimit'				=> 'How long the match lasts',
'bf1942__admin.scoreLimit'				=> 'Greatest score before it will stop the match.',
'bf1942__admin.SetNrOfRounds'			=> 'Sets the number of rounds.',
'bf1942__admin.timeToNextWave'			=> 'Sets the time between waves of reinforcements. Players and bots spawn into the game continuously at this interval.',
'bf1942__admin.spawnWaveTime'			=> '',
'bf1942__admin.timeBeforeRestartMap'	=> 'How much time until the map will restart in seconds.',
'bf1942__admin.delayBeforeStartingGame'	=> 'Time before the game will start.',
'bf1942__admin.roundDelayBeforeStartingGame' => 'Time before a new round will start.',
'bf1942__admin.setTicketRatio'			=> 'Sets the death ticket ratio.',
'bf1942__admin.autoBalanceTeam'			=> 'Enables/Disables Auto team-balancing when teams are uneven.',
'bf1942__admin.soldierFFRatio'			=> 'The amount of damage done by a soldier to a teammate.',
'bf1942__admin.vehicleFFratio'			=> 'Sets the percentage of damage absorbed from
projectiles fired by vehicles on the same team.',
'bf1942__admin.vehicleFFratioOnSplash'	=> 'Sets the percentage of splash damage absorbed from projectiles fired by vehicles on the same team.',
'bf1942__admin.soldierFFRatioOnSplash'	=> 'The amount of damage done by FF splash.',
'bf1942__admin.kickBack'				=> 'How much you get knocked back by getting hit.',
'bf1942__admin.kickBackOnSplash'		=> 'Used to set the fraction of friendly fire splash damage reflected back to the originator.',
'bf1942__admin.allownosecam'			=> 'Allows player to turn off HUD while flying.',
'bf1942__admin.externalviews'			=> 'Enables/disables external views in vehicles.',
'bf1942__admin.spawnDelayPenaltyForTK'	=> 'Sets a spawn delay penalty for players who teamkill. <value> corresponds to the number of spawn waves a players must wait before he or she can respawn into the game.',
'bf1942__admin.nrOfTKToKick'			=> 'Sets the number of punished teamkills before the player is kicked.',
'bf1942__admin.banPlayerOnTKKick'		=> 'When set to 1, players are also banned when kicked for teamkilling.',
'bf1942__admin.TKPunishMode'			=> "Sets the default 'punish or forgive' mode. 0 sets Punish Mode and 1 sets Forgive Mode.",

'bf1942__game.addLevel'					=> 'Adds map to a map cycle.',
'bf1942__game.setCurrentLevel'			=> 'Sets the map to start on.',

'bf1942__admin.addAddressToBanList'		=> "Adds a player\'s IP address to banned list. Where <timeout> can take one of these formats:\n- Omitted or 'perm' meaning that the ban is permanent.\n- An integral number meaning the number of seconds the ban will be active (i.e. 3600 means one hour).\n- round, meaning the ban is active until the next map.\n- An integral number prepended by a colon (i.e. :1234567), meaning the expiration time of the ban (number of seconds since 1 Jan 1970).",
'bf1942__admin.addKeyToBanList'			=> 'Adds a player\'s CD Key to banned list.',

'bf1942__alias'		=> 'Creates an alias for any command.',

// hostings
'pb__bf1942__hostings'	=> 'Game hosting accounts',
'bt_bf1942__add-hosting'=> 'Add Hosting Account',
'bf1942__hostings'		=> 'Hosting accounts',
'bf1942__hostings_of'	=> 'Game hosting accounts of %1',
'bf1942__not_install__dir' => 'not available',
'bf1942__installing__dir' => 'installation in progress',
'bf1942__hsr_rem_err'	=> 'Error on removing hosting account with id \'%1\' from the module: ',

// remove hostings
'bf1942__hostings__empty_select' => 'Select the hosting accounts to be removed from the module.',

// hosting
'pb__bf1942__hosting'	=> 'Hosting account properties',
'bf1942__hosting'		=> 'Specifying Game Hosting Account Properties',
'bf1942__create_hosting'=> 'Specifying Game Hosting Account Properties',
'bf1942__hosting__demo'	=> '<p><b>This is demo. Please enter any host name, login and password.</b></p>',
'bf1942__login_leg'		=> 'Login',
'bf1942__host_address'	=> 'Host name or IP address',
'bf1942__login'			=> 'Login',
'bf1942__passwd'		=> 'Password',
'bf1942__srv_dir'		=> 'Game server installation directory',
'bf1942__check_hosting_error' => 'Failed to connect to the hosting account: %1',
'bf1942__hosting_unsuitable' => 'Either there is no connection via SSH to the specified game hosting account or the machine architecture serving that hosting account is not suitable for running the Battlefield 1942 game. An i586 or i686 machine with Linux operating system is needed.',
'bf1942__check_on_root_error' => 'Failed to check for %1 user account privileges on %2: %3',
'bf1942__confirm_create_user' => 'The specified account has superuser privileges. We recommend that a  separate user account be created for running game servers. Would you like to create another user account for this purpose?',
'bf1942__enter_other_user' => 'Would you like to specify another hosting account?',
'bf1942__create_sys_user_error' => 'Failed to create a system user on %1: %2',
'bf1942__sys_user_created' => 'The system user \'%1\' has been created on %2',
'bf1942__need_abs_path'	=> 'Please, specify an absolute path!',
'bf1942__srv_dir_check_error' => 'Failed to determine the path to installation directory: %1',
'bf1942__not_install'	=> 'The Battlefield 1942 installation was not found in the %1 directory on the server %2',

//
'bf1942__server'		=> 'Server location',
'bf1942__known_srv_dirs'=> 'Known installed servers on %1:',
'bf1942__can_install'	=> 'Or you can choose to download the game server distribution from the Internet servers to this host and %1 it.',
'bf1942__install'		=> 'install',
'bf1942__install_state_err'	=> 'Installation in progress. No other information is available: ',
'bf1942__installing_now'=> 'Battlefield 1942 game server is being installed on the specified server. The information presented on this screen is %1 every 30 seconds.',
'bf1942__refresh'		=> 'refreshed',
'bf1942__has_installed'	=> 'The Battlefield 1942 Game Server has been successfully installed.',
'bf1942__installing_err'=> 'Installation error. Please, see the log file content below: ',

// install
'bf1942__bf1942_install'=> 'Installing the Battlefield 1942 Game Server Components',
'bf1942__install_legend'=> 'Installation properties',
'bf1942__url'			=> 'URL',
'bf1942__install_dir'	=> 'Installation directory',
'bf1942__conn_err'		=> 'Failed to connect to the account %2 on the server %1: ',
'bf1942__shell_err'		=> 'Failed to enter the specified installation directory in the account %2 on the host %1 - the directory is not available or not enough permissions: ',
'bf1942__install_err'	=> 'Installation error: ',
);

require_once('conhelp_en-US.php');
?>